// Code generated by protoc-gen-go. DO NOT EDIT.
// source: rpc_error_codes.proto

package mtproto

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type TLRpcErrorCodes int32

const (
	// 	Error handling
	//
	// 	There will be errors when working with the API, and they must be correctly handled on the client.
	//
	// 	An error is characterized by several parameters:
	//
	// 	Error Code
	// 	Similar to HTTP status. Contains information on the type of error that occurred: for example,
	// 	a data input error, privacy error, or server error. This is a required parameter.
	//
	// 	Error Type
	// 	A string literal in the form of /[A-Z_0-9]+/, which summarizes the problem. For example, AUTH_KEY_UNREGISTERED.
	// 	This is an optional parameter.
	//
	// 	Error Description
	// 	May contain more detailed information on the error and how to resolve it,
	// 	for example: authorization required, use auth.* methods. Please note that the description text is subject to change,
	// 	one should avoid tying application logic to these messages. This is an optional parameter.
	//
	// 	Error Constructors
	// 	There should be a way to handle errors that are returned in rpc_error constructors.
	//
	// 	If an error constructor does not differentiate between type and description
	// 	but instead contains a single field called error_message (as in the example above),
	// 	it must be split into 2 components, for example, using the following regular expression: /^([A-Z_0-9]+)(: (.+))?/.
	//
	// Protobuf3 enum first is 0
	TLRpcErrorCodes_ERROR_CODE_OK TLRpcErrorCodes = 0
	// 303 ERROR_SEE_OTHER
	//
	// The request must be repeated, but directed to a different data center.
	//
	// FILE_MIGRATE_X: the file to be accessed is currently stored in a different data center.
	// PHONE_MIGRATE_X: the phone number a user is trying to use for authorization is associated with a different data center.
	// NETWORK_MIGRATE_X: the source IP address is associated with a different data center (for registration)
	// USER_MIGRATE_X: the user whose identity is being used to execute
	// 				   queries is associated with a different data center (for registration)
	//
	// In all these cases, the error description’s string literal
	// 		contains the number of the data center (instead of the X) to which the repeated query must be sent.
	// More information about redirects between data centers »
	//
	TLRpcErrorCodes_FILE_MIGRATE_X    TLRpcErrorCodes = 303000
	TLRpcErrorCodes_PHONE_MIGRATE_X   TLRpcErrorCodes = 303001
	TLRpcErrorCodes_NETWORK_MIGRATE_X TLRpcErrorCodes = 303002
	TLRpcErrorCodes_USER_MIGRATE_X    TLRpcErrorCodes = 303003
	TLRpcErrorCodes_ERROR_SEE_OTHER   TLRpcErrorCodes = 303
	// 400 BAD_REQUEST
	//
	// The query contains errors. In the event that a request was created using a form
	// and contains user generated data,
	// the user should be notified that the data must be corrected before the query is repeated.
	//
	//
	// Examples of Errors:
	// 	FIRSTNAME_INVALID: The first name is invalid
	// 	LASTNAME_INVALID: The last name is invalid
	// 	PHONE_NUMBER_INVALID: The phone number is invalid
	// 	PHONE_CODE_HASH_EMPTY: phone_code_hash is missing
	// 	PHONE_CODE_EMPTY: phone_code is missing
	// 	PHONE_CODE_EXPIRED: The confirmation code has expired
	// 	API_ID_INVALID: The api_id/api_hash combination is invalid
	// 	PHONE_NUMBER_OCCUPIED: The phone number is already in use
	// 	PHONE_NUMBER_UNOCCUPIED: The phone number is not yet being used
	// 	USERS_TOO_FEW: Not enough users (to create a chat, for example)
	// 	USERS_TOO_MUCH: The maximum number of users has been exceeded (to create a chat, for example)
	// 	TYPE_CONSTRUCTOR_INVALID: The type constructor is invalid
	// 	FILE_PART_INVALID: The file part number is invalid
	// 	FILE_PARTS_INVALID: The number of file parts is invalid
	// 	FILE_PART_Х_MISSING: Part X (where X is a number) of the file is missing from storage
	// 	MD5_CHECKSUM_INVALID: The MD5 checksums do not match
	// 	PHOTO_INVALID_DIMENSIONS: The photo dimensions are invalid
	// 	FIELD_NAME_INVALID: The field with the name FIELD_NAME is invalid
	// 	FIELD_NAME_EMPTY: The field with the name FIELD_NAME is missing
	// 	MSG_WAIT_FAILED: A waiting call returned an error
	//
	TLRpcErrorCodes_FIRSTNAME_INVALID        TLRpcErrorCodes = 400000
	TLRpcErrorCodes_LASTNAME_INVALID         TLRpcErrorCodes = 400001
	TLRpcErrorCodes_PHONE_NUMBER_INVALID     TLRpcErrorCodes = 400002
	TLRpcErrorCodes_PHONE_CODE_HASH_EMPTY    TLRpcErrorCodes = 400003
	TLRpcErrorCodes_PHONE_CODE_EMPTY         TLRpcErrorCodes = 400004
	TLRpcErrorCodes_PHONE_CODE_EXPIRED       TLRpcErrorCodes = 400005
	TLRpcErrorCodes_API_ID_INVALID           TLRpcErrorCodes = 400006
	TLRpcErrorCodes_PHONE_NUMBER_OCCUPIED    TLRpcErrorCodes = 400007
	TLRpcErrorCodes_PHONE_NUMBER_UNOCCUPIED  TLRpcErrorCodes = 400008
	TLRpcErrorCodes_USERS_TOO_FEW            TLRpcErrorCodes = 400009
	TLRpcErrorCodes_USERS_TOO_MUCH           TLRpcErrorCodes = 400010
	TLRpcErrorCodes_TYPE_CONSTRUCTOR_INVALID TLRpcErrorCodes = 400011
	TLRpcErrorCodes_FILE_PART_INVALID        TLRpcErrorCodes = 400012
	TLRpcErrorCodes_FILE_PART_X_MISSING      TLRpcErrorCodes = 400013
	TLRpcErrorCodes_MD5_CHECKSUM_INVALID     TLRpcErrorCodes = 400014
	TLRpcErrorCodes_PHOTO_INVALID_DIMENSIONS TLRpcErrorCodes = 400015
	TLRpcErrorCodes_FIELD_NAME_INVALID       TLRpcErrorCodes = 400016
	TLRpcErrorCodes_FIELD_NAME_EMPTY         TLRpcErrorCodes = 400017
	TLRpcErrorCodes_MSG_WAIT_FAILED          TLRpcErrorCodes = 400018
	// PHONE_NUMBER_BANNED = 4000;
	// android client code:
	//    if (error.code == 400 && "PARTICIPANT_VERSION_OUTDATED".equals(error.text)) {
	//        callFailed(VoIPController.ERROR_PEER_OUTDATED);
	TLRpcErrorCodes_PARTICIPANT_VERSION_OUTDATED TLRpcErrorCodes = 400019
	TLRpcErrorCodes_USER_RESTRICTED              TLRpcErrorCodes = 400020
	TLRpcErrorCodes_NAME_NOT_MODIFIED            TLRpcErrorCodes = 400021
	TLRpcErrorCodes_USER_NOT_MUTUAL_CONTACT      TLRpcErrorCodes = 400022
	TLRpcErrorCodes_BOT_GROUPS_BLOCKED           TLRpcErrorCodes = 400023
	TLRpcErrorCodes_FILE_REFERENCE_X             TLRpcErrorCodes = 400500
	TLRpcErrorCodes_FILE_TOKEN_INVALID           TLRpcErrorCodes = 400501
	TLRpcErrorCodes_REQUEST_TOKEN_INVALID        TLRpcErrorCodes = 400502
	//
	TLRpcErrorCodes_PHONE_CODE_INVALID      TLRpcErrorCodes = 400025
	TLRpcErrorCodes_PHONE_NUMBER_BANNED     TLRpcErrorCodes = 400030
	TLRpcErrorCodes_SESSION_PASSWORD_NEEDED TLRpcErrorCodes = 400040
	// password
	TLRpcErrorCodes_CODE_INVALID          TLRpcErrorCodes = 400050
	TLRpcErrorCodes_PASSWORD_HASH_INVALID TLRpcErrorCodes = 400051
	TLRpcErrorCodes_NEW_PASSWORD_BAD      TLRpcErrorCodes = 400052
	TLRpcErrorCodes_NEW_SALT_INVALID      TLRpcErrorCodes = 400053
	TLRpcErrorCodes_EMAIL_INVALID         TLRpcErrorCodes = 400054
	TLRpcErrorCodes_EMAIL_UNCONFIRMED     TLRpcErrorCodes = 400055
	// username
	TLRpcErrorCodes_USERNAME_INVALID      TLRpcErrorCodes = 400060
	TLRpcErrorCodes_USERNAME_OCCUPIED     TLRpcErrorCodes = 400061
	TLRpcErrorCodes_USERNAMES_UNAVAILABLE TLRpcErrorCodes = 400062
	TLRpcErrorCodes_USERNAME_NOT_MODIFIED TLRpcErrorCodes = 400063
	TLRpcErrorCodes_USERNAME_NOT_OCCUPIED TLRpcErrorCodes = 400064
	// chat
	TLRpcErrorCodes_CHAT_ID_INVALID         TLRpcErrorCodes = 400070
	TLRpcErrorCodes_CHAT_NOT_MODIFIED       TLRpcErrorCodes = 400071
	TLRpcErrorCodes_PARTICIPANT_NOT_EXISTS  TLRpcErrorCodes = 400072
	TLRpcErrorCodes_NO_EDIT_CHAT_PERMISSION TLRpcErrorCodes = 400073
	TLRpcErrorCodes_CHAT_TITLE_NOT_MODIFIED TLRpcErrorCodes = 400074
	TLRpcErrorCodes_NO_CHAT_TITLE           TLRpcErrorCodes = 400075
	TLRpcErrorCodes_CHAT_ABOUT_NOT_MODIFIED TLRpcErrorCodes = 400076
	TLRpcErrorCodes_CHAT_ADMIN_REQUIRED     TLRpcErrorCodes = 400077
	TLRpcErrorCodes_PARTICIPANT_EXISTED     TLRpcErrorCodes = 400078
	// channel
	TLRpcErrorCodes_CHANNEL_PRIVATE                TLRpcErrorCodes = 400080
	TLRpcErrorCodes_CHANNEL_PUBLIC_GROUP_NA        TLRpcErrorCodes = 400081
	TLRpcErrorCodes_USER_BANNED_IN_CHANNEL         TLRpcErrorCodes = 400082
	TLRpcErrorCodes_CHANNELS_ADMIN_PUBLIC_TOO_MUCH TLRpcErrorCodes = 40083
	TLRpcErrorCodes_CHANNELS_TOO_MUCH              TLRpcErrorCodes = 400084
	TLRpcErrorCodes_NO_INVITE_CHANNEL_PERMISSION   TLRpcErrorCodes = 400085
	// invite, user banned.
	TLRpcErrorCodes_INVITE_HASH_EXPIRED TLRpcErrorCodes = 400090
	TLRpcErrorCodes_INVITE_HASH_INVALID TLRpcErrorCodes = 400091
	// access
	TLRpcErrorCodes_ACCESS_HASH_INVALID  TLRpcErrorCodes = 400200
	TLRpcErrorCodes_INPUT_CHANNEL_EMPTY  TLRpcErrorCodes = 400201
	TLRpcErrorCodes_USER_NOT_PARTICIPANT TLRpcErrorCodes = 400202
	TLRpcErrorCodes_PEER_ID_INVALID      TLRpcErrorCodes = 400203
	TLRpcErrorCodes_CHANNEL_ID_INVALID   TLRpcErrorCodes = 400204
	// message
	TLRpcErrorCodes_MESSAGE_ID_INVALID        TLRpcErrorCodes = 400210
	TLRpcErrorCodes_MESSAGE_EDIT_TIME_EXPIRED TLRpcErrorCodes = 400211
	TLRpcErrorCodes_MESSAGE_NOT_MODIFIED      TLRpcErrorCodes = 400212
	TLRpcErrorCodes_MESSAGE_EMPTY             TLRpcErrorCodes = 400213
	TLRpcErrorCodes_USER_LEFT_CHAT            TLRpcErrorCodes = 400300
	TLRpcErrorCodes_USER_KICKED               TLRpcErrorCodes = 400301
	TLRpcErrorCodes_USER_ALREADY_PARTICIPANT  TLRpcErrorCodes = 400302
	TLRpcErrorCodes_BAD_REQUEST               TLRpcErrorCodes = 400
	// There was an unauthorized attempt to use functionality available only to authorized users.
	//
	// Examples of Errors:
	// 	AUTH_KEY_UNREGISTERED: The key is not registered in the system
	// 	AUTH_KEY_INVALID: The key is invalid
	// 	USER_DEACTIVATED: The user has been deleted/deactivated
	// 	SESSION_REVOKED: The authorization has been invalidated, because of the user terminating all sessions
	// 	SESSION_EXPIRED: The authorization has expired
	// 	ACTIVE_USER_REQUIRED: The method is only available to already activated users
	// 	AUTH_KEY_PERM_EMPTY: The method is unavailble for temporary authorization key, not bound to permanent
	//
	TLRpcErrorCodes_AUTH_KEY_UNREGISTERED TLRpcErrorCodes = 401000
	TLRpcErrorCodes_AUTH_KEY_INVALID      TLRpcErrorCodes = 401001
	TLRpcErrorCodes_USER_DEACTIVATED      TLRpcErrorCodes = 401002
	TLRpcErrorCodes_SESSION_REVOKED       TLRpcErrorCodes = 401003
	TLRpcErrorCodes_SESSION_EXPIRED       TLRpcErrorCodes = 401004
	TLRpcErrorCodes_ACTIVE_USER_REQUIRED  TLRpcErrorCodes = 401005
	TLRpcErrorCodes_AUTH_KEY_PERM_EMPTY   TLRpcErrorCodes = 401006
	// Only a small portion of the API methods are available to unauthorized users:
	//
	// auth.sendCode
	// auth.sendCall
	// auth.checkPhone
	// auth.signUp
	// auth.signIn
	// auth.importAuthorization
	// help.getConfig
	// help.getNearestDc
	//
	// Other methods will result in an error: 401 UNAUTHORIZED.
	TLRpcErrorCodes_UNAUTHORIZED TLRpcErrorCodes = 401
	// Privacy violation. For example, an attempt to write a message to someone who has blacklisted the current user.
	//
	//
	// android client code:
	//    } else if(error.code==403 && "USER_PRIVACY_RESTRICTED".equals(error.text)){
	//        callFailed(VoIPController.ERROR_PRIVACY);
	TLRpcErrorCodes_USER_PRIVACY_RESTRICTED     TLRpcErrorCodes = 403001
	TLRpcErrorCodes_CALL_PROTOCOL_LAYER_INVALID TLRpcErrorCodes = 403002
	TLRpcErrorCodes_FORBIDDEN                   TLRpcErrorCodes = 403
	// 406
	// android client code:
	// }else if(error.code==406){
	//     callFailed(VoIPController.ERROR_LOCALIZED);
	TLRpcErrorCodes_ERROR_LOCALIZED TLRpcErrorCodes = 406000
	TLRpcErrorCodes_LOCALIZED       TLRpcErrorCodes = 406
	// The maximum allowed number of attempts to invoke the given method with the given input parameters has been exceeded.
	// For example, in an attempt to request a large number of text messages (SMS) for the same phone number.
	//
	// Error Example:
	// FLOOD_WAIT_X: A wait of X seconds is required (where X is a number)
	//
	TLRpcErrorCodes_FLOOD_WAIT_X TLRpcErrorCodes = 420000
	// PEER_FLOOD
	// FLOOD_WAIT
	TLRpcErrorCodes_FLOOD TLRpcErrorCodes = 420
	// An internal server error occurred while a request was being processed;
	// for example, there was a disruption while accessing a database or file storage.
	//
	// If a client receives a 500 error, or you believe this error should not have occurred,
	// please collect as much information as possible about the query and error and send it to the developers.
	TLRpcErrorCodes_INTERNAL              TLRpcErrorCodes = 500
	TLRpcErrorCodes_INTERNAL_SERVER_ERROR TLRpcErrorCodes = 500000
	// If a server returns an error with a code other than the ones listed above,
	// it may be considered the same as a 500 error and treated as an internal server error.
	//
	TLRpcErrorCodes_OTHER TLRpcErrorCodes = 501
	//    // OFFSET_INVALID
	//    // RETRY_LIMIT
	//    // FILE_TOKEN_INVALID
	//    // REQUEST_TOKEN_INVALID
	//
	//    // CHANNEL_PRIVATE
	//    // CHANNEL_PUBLIC_GROUP_NA
	//    // USER_BANNED_IN_CHANNEL
	//
	//
	//    // MESSAGE_NOT_MODIFIED
	//
	//    // USERS_TOO_MUCH
	//
	//    // -1000
	//
	//    /////////////////////////////////////////////////////////////
	//     // android client code:
	//       } else if (request instanceof TLRPC.TL_auth_resendCode) {
	//        if (error.text.contains("PHONE_NUMBER_INVALID")) {
	//            showSimpleAlert(fragment, LocaleController.getString("InvalidPhoneNumber", R.string.InvalidPhoneNumber));
	//        } else if (error.text.contains("PHONE_CODE_EMPTY") || error.text.contains("PHONE_CODE_INVALID")) {
	//            showSimpleAlert(fragment, LocaleController.getString("InvalidCode", R.string.InvalidCode));
	//        } else if (error.text.contains("PHONE_CODE_EXPIRED")) {
	//            showSimpleAlert(fragment, LocaleController.getString("CodeExpired", R.string.CodeExpired));
	//        } else if (error.text.startsWith("FLOOD_WAIT")) {
	//            showSimpleAlert(fragment, LocaleController.getString("FloodWait", R.string.FloodWait));
	//        } else if (error.code != -1000) {
	//            showSimpleAlert(fragment, LocaleController.getString("ErrorOccurred", R.string.ErrorOccurred) + "\n" + error.text);
	//        }
	//
	//     /////////////////////////////////////////////////////////////
	//        } else if (request instanceof TLRPC.TL_updateUserName) {
	//            switch (error.text) {
	//                case "USERNAME_INVALID":
	//                    showSimpleAlert(fragment, LocaleController.getString("UsernameInvalid", R.string.UsernameInvalid));
	//                    break;
	//                case "USERNAME_OCCUPIED":
	//                    showSimpleAlert(fragment, LocaleController.getString("UsernameInUse", R.string.UsernameInUse));
	//                    break;
	//                case "USERNAMES_UNAVAILABLE":
	//                    showSimpleAlert(fragment, LocaleController.getString("FeatureUnavailable", R.string.FeatureUnavailable));
	//                    break;
	//                default:
	//                    showSimpleAlert(fragment, LocaleController.getString("ErrorOccurred", R.string.ErrorOccurred));
	//                    break;
	//            }
	//
	//     /////////////////////////////////////////////////////////////
	//            } else if (request instanceof TLRPC.TL_payments_sendPaymentForm) {
	//            switch (error.text) {
	//                case "BOT_PRECHECKOUT_FAILED":
	//                    showSimpleToast(fragment, LocaleController.getString("PaymentPrecheckoutFailed", R.string.PaymentPrecheckoutFailed));
	//                    break;
	//                case "PAYMENT_FAILED":
	//                    showSimpleToast(fragment, LocaleController.getString("PaymentFailed", R.string.PaymentFailed));
	//                    break;
	//                default:
	//                    showSimpleToast(fragment, error.text);
	//                    break;
	//            }
	//        } else if (request instanceof TLRPC.TL_payments_validateRequestedInfo) {
	//            switch (error.text) {
	//                case "SHIPPING_NOT_AVAILABLE":
	//                    showSimpleToast(fragment, LocaleController.getString("PaymentNoShippingMethod", R.string.PaymentNoShippingMethod));
	//                    break;
	//                default:
	//                    showSimpleToast(fragment, error.text);
	//                    break;
	//            }
	//        }
	//
	//     /////////////////////////////////////////////////////////////
	//
	//        } else {
	//            if (error.text.equals("2FA_RECENT_CONFIRM")) {
	//                needShowAlert(LocaleController.getString("AppName", R.string.AppName), LocaleController.getString("ResetAccountCancelledAlert", R.string.ResetAccountCancelledAlert));
	//            } else if (error.text.startsWith("2FA_CONFIRM_WAIT_")) {
	//                Bundle params = new Bundle();
	//                params.putString("phoneFormated", requestPhone);
	//                params.putString("phoneHash", phoneHash);
	//                params.putString("code", phoneCode);
	//                params.putInt("startTime", ConnectionsManager.getInstance().getCurrentTime());
	//                params.putInt("waitTime", Utilities.parseInt(error.text.replace("2FA_CONFIRM_WAIT_", "")));
	//                setPage(8, true, params, false);
	//            } else {
	TLRpcErrorCodes_OTHER2 TLRpcErrorCodes = 502
	// db error
	TLRpcErrorCodes_DBERR      TLRpcErrorCodes = 600
	TLRpcErrorCodes_DBERR_SQL  TLRpcErrorCodes = 600000
	TLRpcErrorCodes_DBERR_CONN TLRpcErrorCodes = 600001
	// db error
	TLRpcErrorCodes_NOTRETURN_CLIENT TLRpcErrorCodes = 700
)

var TLRpcErrorCodes_name = map[int32]string{
	0:      "ERROR_CODE_OK",
	303000: "FILE_MIGRATE_X",
	303001: "PHONE_MIGRATE_X",
	303002: "NETWORK_MIGRATE_X",
	303003: "USER_MIGRATE_X",
	303:    "ERROR_SEE_OTHER",
	400000: "FIRSTNAME_INVALID",
	400001: "LASTNAME_INVALID",
	400002: "PHONE_NUMBER_INVALID",
	400003: "PHONE_CODE_HASH_EMPTY",
	400004: "PHONE_CODE_EMPTY",
	400005: "PHONE_CODE_EXPIRED",
	400006: "API_ID_INVALID",
	400007: "PHONE_NUMBER_OCCUPIED",
	400008: "PHONE_NUMBER_UNOCCUPIED",
	400009: "USERS_TOO_FEW",
	400010: "USERS_TOO_MUCH",
	400011: "TYPE_CONSTRUCTOR_INVALID",
	400012: "FILE_PART_INVALID",
	400013: "FILE_PART_X_MISSING",
	400014: "MD5_CHECKSUM_INVALID",
	400015: "PHOTO_INVALID_DIMENSIONS",
	400016: "FIELD_NAME_INVALID",
	400017: "FIELD_NAME_EMPTY",
	400018: "MSG_WAIT_FAILED",
	400019: "PARTICIPANT_VERSION_OUTDATED",
	400020: "USER_RESTRICTED",
	400021: "NAME_NOT_MODIFIED",
	400022: "USER_NOT_MUTUAL_CONTACT",
	400023: "BOT_GROUPS_BLOCKED",
	400500: "FILE_REFERENCE_X",
	400501: "FILE_TOKEN_INVALID",
	400502: "REQUEST_TOKEN_INVALID",
	400025: "PHONE_CODE_INVALID",
	400030: "PHONE_NUMBER_BANNED",
	400040: "SESSION_PASSWORD_NEEDED",
	400050: "CODE_INVALID",
	400051: "PASSWORD_HASH_INVALID",
	400052: "NEW_PASSWORD_BAD",
	400053: "NEW_SALT_INVALID",
	400054: "EMAIL_INVALID",
	400055: "EMAIL_UNCONFIRMED",
	400060: "USERNAME_INVALID",
	400061: "USERNAME_OCCUPIED",
	400062: "USERNAMES_UNAVAILABLE",
	400063: "USERNAME_NOT_MODIFIED",
	400064: "USERNAME_NOT_OCCUPIED",
	400070: "CHAT_ID_INVALID",
	400071: "CHAT_NOT_MODIFIED",
	400072: "PARTICIPANT_NOT_EXISTS",
	400073: "NO_EDIT_CHAT_PERMISSION",
	400074: "CHAT_TITLE_NOT_MODIFIED",
	400075: "NO_CHAT_TITLE",
	400076: "CHAT_ABOUT_NOT_MODIFIED",
	400077: "CHAT_ADMIN_REQUIRED",
	400078: "PARTICIPANT_EXISTED",
	400080: "CHANNEL_PRIVATE",
	400081: "CHANNEL_PUBLIC_GROUP_NA",
	400082: "USER_BANNED_IN_CHANNEL",
	40083:  "CHANNELS_ADMIN_PUBLIC_TOO_MUCH",
	400084: "CHANNELS_TOO_MUCH",
	400085: "NO_INVITE_CHANNEL_PERMISSION",
	400090: "INVITE_HASH_EXPIRED",
	400091: "INVITE_HASH_INVALID",
	400200: "ACCESS_HASH_INVALID",
	400201: "INPUT_CHANNEL_EMPTY",
	400202: "USER_NOT_PARTICIPANT",
	400203: "PEER_ID_INVALID",
	400204: "CHANNEL_ID_INVALID",
	400210: "MESSAGE_ID_INVALID",
	400211: "MESSAGE_EDIT_TIME_EXPIRED",
	400212: "MESSAGE_NOT_MODIFIED",
	400213: "MESSAGE_EMPTY",
	400300: "USER_LEFT_CHAT",
	400301: "USER_KICKED",
	400302: "USER_ALREADY_PARTICIPANT",
	400:    "BAD_REQUEST",
	401000: "AUTH_KEY_UNREGISTERED",
	401001: "AUTH_KEY_INVALID",
	401002: "USER_DEACTIVATED",
	401003: "SESSION_REVOKED",
	401004: "SESSION_EXPIRED",
	401005: "ACTIVE_USER_REQUIRED",
	401006: "AUTH_KEY_PERM_EMPTY",
	401:    "UNAUTHORIZED",
	403001: "USER_PRIVACY_RESTRICTED",
	403002: "CALL_PROTOCOL_LAYER_INVALID",
	403:    "FORBIDDEN",
	406000: "ERROR_LOCALIZED",
	406:    "LOCALIZED",
	420000: "FLOOD_WAIT_X",
	420:    "FLOOD",
	500:    "INTERNAL",
	500000: "INTERNAL_SERVER_ERROR",
	501:    "OTHER",
	502:    "OTHER2",
	600:    "DBERR",
	600000: "DBERR_SQL",
	600001: "DBERR_CONN",
	700:    "NOTRETURN_CLIENT",
}
var TLRpcErrorCodes_value = map[string]int32{
	"ERROR_CODE_OK":                  0,
	"FILE_MIGRATE_X":                 303000,
	"PHONE_MIGRATE_X":                303001,
	"NETWORK_MIGRATE_X":              303002,
	"USER_MIGRATE_X":                 303003,
	"ERROR_SEE_OTHER":                303,
	"FIRSTNAME_INVALID":              400000,
	"LASTNAME_INVALID":               400001,
	"PHONE_NUMBER_INVALID":           400002,
	"PHONE_CODE_HASH_EMPTY":          400003,
	"PHONE_CODE_EMPTY":               400004,
	"PHONE_CODE_EXPIRED":             400005,
	"API_ID_INVALID":                 400006,
	"PHONE_NUMBER_OCCUPIED":          400007,
	"PHONE_NUMBER_UNOCCUPIED":        400008,
	"USERS_TOO_FEW":                  400009,
	"USERS_TOO_MUCH":                 400010,
	"TYPE_CONSTRUCTOR_INVALID":       400011,
	"FILE_PART_INVALID":              400012,
	"FILE_PART_X_MISSING":            400013,
	"MD5_CHECKSUM_INVALID":           400014,
	"PHOTO_INVALID_DIMENSIONS":       400015,
	"FIELD_NAME_INVALID":             400016,
	"FIELD_NAME_EMPTY":               400017,
	"MSG_WAIT_FAILED":                400018,
	"PARTICIPANT_VERSION_OUTDATED":   400019,
	"USER_RESTRICTED":                400020,
	"NAME_NOT_MODIFIED":              400021,
	"USER_NOT_MUTUAL_CONTACT":        400022,
	"BOT_GROUPS_BLOCKED":             400023,
	"FILE_REFERENCE_X":               400500,
	"FILE_TOKEN_INVALID":             400501,
	"REQUEST_TOKEN_INVALID":          400502,
	"PHONE_CODE_INVALID":             400025,
	"PHONE_NUMBER_BANNED":            400030,
	"SESSION_PASSWORD_NEEDED":        400040,
	"CODE_INVALID":                   400050,
	"PASSWORD_HASH_INVALID":          400051,
	"NEW_PASSWORD_BAD":               400052,
	"NEW_SALT_INVALID":               400053,
	"EMAIL_INVALID":                  400054,
	"EMAIL_UNCONFIRMED":              400055,
	"USERNAME_INVALID":               400060,
	"USERNAME_OCCUPIED":              400061,
	"USERNAMES_UNAVAILABLE":          400062,
	"USERNAME_NOT_MODIFIED":          400063,
	"USERNAME_NOT_OCCUPIED":          400064,
	"CHAT_ID_INVALID":                400070,
	"CHAT_NOT_MODIFIED":              400071,
	"PARTICIPANT_NOT_EXISTS":         400072,
	"NO_EDIT_CHAT_PERMISSION":        400073,
	"CHAT_TITLE_NOT_MODIFIED":        400074,
	"NO_CHAT_TITLE":                  400075,
	"CHAT_ABOUT_NOT_MODIFIED":        400076,
	"CHAT_ADMIN_REQUIRED":            400077,
	"PARTICIPANT_EXISTED":            400078,
	"CHANNEL_PRIVATE":                400080,
	"CHANNEL_PUBLIC_GROUP_NA":        400081,
	"USER_BANNED_IN_CHANNEL":         400082,
	"CHANNELS_ADMIN_PUBLIC_TOO_MUCH": 40083,
	"CHANNELS_TOO_MUCH":              400084,
	"NO_INVITE_CHANNEL_PERMISSION":   400085,
	"INVITE_HASH_EXPIRED":            400090,
	"INVITE_HASH_INVALID":            400091,
	"ACCESS_HASH_INVALID":            400200,
	"INPUT_CHANNEL_EMPTY":            400201,
	"USER_NOT_PARTICIPANT":           400202,
	"PEER_ID_INVALID":                400203,
	"CHANNEL_ID_INVALID":             400204,
	"MESSAGE_ID_INVALID":             400210,
	"MESSAGE_EDIT_TIME_EXPIRED":      400211,
	"MESSAGE_NOT_MODIFIED":           400212,
	"MESSAGE_EMPTY":                  400213,
	"USER_LEFT_CHAT":                 400300,
	"USER_KICKED":                    400301,
	"USER_ALREADY_PARTICIPANT":       400302,
	"BAD_REQUEST":                    400,
	"AUTH_KEY_UNREGISTERED":          401000,
	"AUTH_KEY_INVALID":               401001,
	"USER_DEACTIVATED":               401002,
	"SESSION_REVOKED":                401003,
	"SESSION_EXPIRED":                401004,
	"ACTIVE_USER_REQUIRED":           401005,
	"AUTH_KEY_PERM_EMPTY":            401006,
	"UNAUTHORIZED":                   401,
	"USER_PRIVACY_RESTRICTED":        403001,
	"CALL_PROTOCOL_LAYER_INVALID":    403002,
	"FORBIDDEN":                      403,
	"ERROR_LOCALIZED":                406000,
	"LOCALIZED":                      406,
	"FLOOD_WAIT_X":                   420000,
	"FLOOD":                          420,
	"INTERNAL":                       500,
	"INTERNAL_SERVER_ERROR":          500000,
	"OTHER":                          501,
	"OTHER2":                         502,
	"DBERR":                          600,
	"DBERR_SQL":                      600000,
	"DBERR_CONN":                     600001,
	"NOTRETURN_CLIENT":               700,
}

func (x TLRpcErrorCodes) String() string {
	return proto.EnumName(TLRpcErrorCodes_name, int32(x))
}
func (TLRpcErrorCodes) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_rpc_error_codes_5910e3b4dcf493df, []int{0}
}

func init() {
	proto.RegisterEnum("mtproto.TLRpcErrorCodes", TLRpcErrorCodes_name, TLRpcErrorCodes_value)
}

func init() {
	proto.RegisterFile("rpc_error_codes.proto", fileDescriptor_rpc_error_codes_5910e3b4dcf493df)
}

var fileDescriptor_rpc_error_codes_5910e3b4dcf493df = []byte{
	// 1319 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x6c, 0x56, 0xcb, 0x8f, 0x15, 0xc5,
	0x1e, 0xbe, 0x61, 0x2e, 0x70, 0x29, 0x1e, 0x53, 0x14, 0x0c, 0x34, 0x17, 0xc4, 0x68, 0x58, 0x18,
	0x17, 0xb3, 0xd0, 0xf8, 0x07, 0xd4, 0xe9, 0xfa, 0x9d, 0x39, 0x95, 0xd3, 0x5d, 0xd5, 0x54, 0x55,
	0xcf, 0xc3, 0x4d, 0x45, 0xc6, 0x89, 0x21, 0x11, 0x86, 0x8c, 0xb8, 0xf7, 0xfd, 0x7e, 0x80, 0x28,
	0x8a, 0x26, 0x86, 0x85, 0x0b, 0x17, 0x3e, 0x12, 0xb5, 0xcf, 0x80, 0x39, 0x3a, 0xe8, 0x42, 0x79,
	0x8c, 0x22, 0x08, 0x89, 0xd1, 0xa5, 0x31, 0xf1, 0x1d, 0x17, 0xc0, 0xda, 0x54, 0x55, 0x77, 0x9f,
	0x3e, 0xa3, 0xbb, 0xee, 0xef, 0xab, 0xfa, 0x3d, 0xbe, 0xfa, 0xea, 0xd7, 0x8d, 0xc6, 0x16, 0x0e,
	0xcd, 0xda, 0xb9, 0x85, 0x85, 0xf9, 0x05, 0x3b, 0x3b, 0x7f, 0xef, 0xdc, 0x03, 0xe3, 0x87, 0x16,
	0xe6, 0x0f, 0xcf, 0x93, 0xb5, 0x07, 0x0e, 0xfb, 0x87, 0xdb, 0x7f, 0xda, 0x82, 0x46, 0x4d, 0xa2,
	0x0e, 0xcd, 0x82, 0x5b, 0x13, 0xbb, 0x25, 0x64, 0x33, 0xda, 0x08, 0x4a, 0x49, 0x65, 0x63, 0xc9,
	0xc0, 0xca, 0x2e, 0xfe, 0x0f, 0xd9, 0x8a, 0x36, 0xb5, 0x79, 0x02, 0x36, 0xe5, 0x13, 0x8a, 0x1a,
	0xb0, 0xd3, 0xf8, 0xb5, 0x25, 0x42, 0xc6, 0xd0, 0x68, 0xd6, 0x91, 0xa2, 0x09, 0x9f, 0x58, 0x22,
	0x64, 0x3b, 0xda, 0x2c, 0xc0, 0x4c, 0x49, 0xd5, 0x6d, 0x10, 0xaf, 0x2f, 0x11, 0x17, 0x25, 0xd7,
	0xa0, 0x1a, 0xe8, 0x1b, 0x1e, 0x1d, 0x0d, 0xe9, 0x34, 0x80, 0x95, 0xa6, 0x03, 0x0a, 0xbf, 0xbf,
	0xca, 0x05, 0x69, 0x73, 0xa5, 0x8d, 0xa0, 0x29, 0x58, 0x2e, 0x26, 0x69, 0xc2, 0x19, 0x7e, 0xa8,
	0x88, 0xc8, 0x36, 0x84, 0x13, 0xba, 0x02, 0x7f, 0xb8, 0x88, 0xc8, 0xff, 0xd1, 0xd6, 0x50, 0x8c,
	0xc8, 0xd3, 0x16, 0xa8, 0x9a, 0x7b, 0xa4, 0x88, 0xc8, 0x4e, 0x34, 0x16, 0x38, 0xdf, 0x51, 0x87,
	0xea, 0x8e, 0x85, 0x34, 0x33, 0x33, 0xf8, 0xd1, 0x10, 0xb0, 0x41, 0x06, 0xfc, 0xb1, 0x22, 0x22,
	0x11, 0x22, 0x4d, 0x7c, 0x3a, 0xe3, 0x0a, 0x18, 0x7e, 0xbc, 0x88, 0x5c, 0x1f, 0x34, 0xe3, 0x96,
	0xb3, 0x3a, 0xc9, 0x13, 0xcd, 0x24, 0x65, 0x01, 0x32, 0x8e, 0xf3, 0x8c, 0x03, 0xc3, 0x4f, 0x16,
	0x11, 0xb9, 0x09, 0x6d, 0x1f, 0x22, 0x73, 0x51, 0xd3, 0x4f, 0x15, 0x11, 0xd9, 0x82, 0x36, 0x3a,
	0x65, 0xb4, 0x35, 0x52, 0xda, 0x36, 0x4c, 0xe1, 0xa7, 0x43, 0x9a, 0x01, 0x98, 0xe6, 0x71, 0x07,
	0x3f, 0x53, 0x44, 0x64, 0x37, 0x8a, 0xcc, 0x4c, 0xe6, 0xaa, 0x12, 0xda, 0xa8, 0x3c, 0x36, 0x72,
	0xd0, 0xeb, 0xb3, 0x45, 0x14, 0x84, 0x4b, 0xc0, 0x66, 0x54, 0x99, 0x9a, 0x78, 0xae, 0x88, 0xc8,
	0x0e, 0xb4, 0x65, 0x40, 0x4c, 0xdb, 0x94, 0x6b, 0xcd, 0xc5, 0x04, 0x7e, 0x3e, 0x68, 0x97, 0xb2,
	0xbb, 0x6c, 0xdc, 0x81, 0xb8, 0xab, 0xf3, 0xb4, 0xde, 0xf6, 0x42, 0xc8, 0x97, 0x75, 0xa4, 0x91,
	0x15, 0x68, 0x19, 0x4f, 0x41, 0x68, 0x2e, 0x85, 0xc6, 0x2f, 0x06, 0x99, 0xda, 0x1c, 0x12, 0x66,
	0x87, 0x4e, 0xe4, 0x48, 0x10, 0xb6, 0xc1, 0x04, 0x61, 0x8f, 0x16, 0x91, 0xb3, 0x4d, 0xaa, 0x27,
	0xec, 0x14, 0xe5, 0xc6, 0xb6, 0x29, 0x4f, 0x80, 0xe1, 0x97, 0x8a, 0x88, 0xdc, 0x8a, 0x76, 0xb9,
	0xd2, 0x78, 0xcc, 0x33, 0x2a, 0x8c, 0x9d, 0x04, 0xe5, 0x92, 0x58, 0x99, 0x1b, 0x46, 0x0d, 0x30,
	0x7c, 0x2c, 0x6c, 0xf5, 0x0e, 0x52, 0xa0, 0x8d, 0xe2, 0xb1, 0x83, 0x5f, 0x0e, 0x3d, 0xfb, 0x1c,
	0x42, 0x1a, 0x9b, 0x4a, 0xc6, 0xdb, 0x4e, 0xd7, 0x57, 0x82, 0xec, 0x7e, 0xbd, 0x27, 0x72, 0x93,
	0xd3, 0xc4, 0xe9, 0x66, 0x68, 0x6c, 0xf0, 0xf1, 0x50, 0x7b, 0x4b, 0x1a, 0x3b, 0xa1, 0x64, 0x9e,
	0x69, 0xdb, 0x4a, 0x64, 0xdc, 0x05, 0x86, 0x5f, 0xad, 0x6a, 0x4f, 0xc0, 0x2a, 0x68, 0x83, 0x02,
	0x11, 0x3b, 0xb3, 0x5e, 0x3b, 0x55, 0x76, 0x9b, 0x80, 0x35, 0xb2, 0x0b, 0xa2, 0xee, 0xf6, 0xfa,
	0x29, 0x7f, 0xfc, 0x0a, 0xf6, 0xe6, 0xa0, 0xcd, 0x0a, 0xf2, 0xc6, 0xa9, 0x95, 0x5e, 0xaa, 0x98,
	0x13, 0xe1, 0x54, 0x86, 0x8c, 0xd1, 0xa2, 0x42, 0x00, 0xc3, 0x6f, 0x86, 0xe2, 0x35, 0x68, 0x2f,
	0x42, 0x46, 0xb5, 0x9e, 0x92, 0x8a, 0x59, 0x01, 0xc0, 0x80, 0xe1, 0xb7, 0x8b, 0x88, 0x10, 0xb4,
	0x61, 0x28, 0xda, 0x07, 0xa5, 0x07, 0xab, 0xa5, 0xde, 0xe6, 0x15, 0xf9, 0x61, 0xe8, 0x49, 0xc0,
	0xd4, 0x20, 0x56, 0x8b, 0x32, 0xfc, 0xd1, 0x00, 0xd7, 0x34, 0x19, 0x18, 0xa6, 0x08, 0xa6, 0x84,
	0x94, 0xf2, 0xa4, 0x06, 0x7b, 0x41, 0xea, 0x00, 0xe6, 0x22, 0x96, 0xa2, 0xcd, 0x55, 0x0a, 0x0c,
	0x2f, 0x86, 0x28, 0x4e, 0xea, 0x21, 0x17, 0xf4, 0xc3, 0x86, 0x1a, 0xaf, 0x3d, 0xff, 0x49, 0xa8,
	0xb5, 0x22, 0xb4, 0xcd, 0x05, 0x9d, 0xa4, 0x3c, 0xa1, 0xad, 0x04, 0xf0, 0xa7, 0xc3, 0xe4, 0xf0,
	0xa9, 0x2e, 0xfd, 0x0b, 0x59, 0x87, 0x3d, 0x13, 0x2c, 0x12, 0x77, 0xa8, 0x69, 0xde, 0xce, 0x2f,
	0x42, 0x19, 0x1e, 0x1e, 0x0a, 0xf6, 0x65, 0x11, 0x91, 0x5d, 0x68, 0x5b, 0xd3, 0x76, 0x8e, 0x87,
	0x69, 0xae, 0x8d, 0xc6, 0x67, 0xc3, 0x19, 0x08, 0x69, 0x81, 0x71, 0x63, 0xfd, 0xf6, 0x0c, 0x94,
	0xbf, 0x38, 0x52, 0xe0, 0x73, 0x81, 0xf6, 0xb0, 0xe1, 0x26, 0x59, 0x51, 0xe8, 0xf9, 0xa0, 0xa0,
	0x90, 0x76, 0xb0, 0x02, 0x5f, 0x68, 0xec, 0xa1, 0x2d, 0x99, 0xaf, 0xa8, 0x67, 0x39, 0x18, 0x22,
	0xd0, 0x2c, 0xe5, 0xc2, 0x3a, 0x4b, 0xf9, 0xb9, 0xf3, 0x55, 0xe9, 0x95, 0x46, 0xa9, 0xbe, 0x4c,
	0x60, 0xf8, 0xeb, 0xba, 0x6b, 0x21, 0x20, 0xb1, 0x99, 0xe2, 0x93, 0xd4, 0x00, 0xfe, 0xa6, 0xce,
	0x15, 0xe0, 0xbc, 0x95, 0xf0, 0x38, 0x78, 0xdd, 0x0a, 0x8a, 0x2f, 0x85, 0xde, 0xfd, 0xf5, 0x08,
	0xa6, 0xb3, 0x5c, 0xd8, 0x72, 0x35, 0xbe, 0x5c, 0x44, 0x64, 0x0f, 0xda, 0x5d, 0xbe, 0xea, 0xb2,
	0x9a, 0x32, 0x46, 0x3d, 0x8f, 0x8e, 0x9d, 0x5e, 0x55, 0x0a, 0x1b, 0x56, 0xd5, 0xc4, 0x95, 0x70,
	0x9f, 0x85, 0x9f, 0x1a, 0xdc, 0x80, 0xad, 0xab, 0x18, 0xe8, 0x77, 0x35, 0x74, 0x54, 0x2e, 0x08,
	0x43, 0xb9, 0x1c, 0xb2, 0xdf, 0xff, 0x93, 0xaa, 0xce, 0xf2, 0x87, 0x40, 0xd1, 0x38, 0x06, 0xad,
	0x87, 0xa9, 0xb3, 0xbd, 0x72, 0x57, 0x96, 0x9b, 0x3a, 0x61, 0x18, 0x3b, 0xe7, 0x7a, 0x7e, 0xc8,
	0xd5, 0xb3, 0xa0, 0x21, 0x23, 0x3e, 0xdf, 0xf3, 0xf2, 0x65, 0xe0, 0x3e, 0x1a, 0x03, 0xd3, 0x5c,
	0xe8, 0xf9, 0x6b, 0x5b, 0xc5, 0x69, 0x30, 0xcb, 0x81, 0x49, 0x41, 0x6b, 0x3a, 0x01, 0x4d, 0xe6,
	0x72, 0x2f, 0x22, 0x37, 0xa3, 0x1d, 0x15, 0xe3, 0x6d, 0x63, 0x78, 0x3a, 0xf8, 0x7a, 0x7c, 0x1b,
	0xea, 0xa8, 0x16, 0x0c, 0x1d, 0xfe, 0x95, 0x9e, 0x37, 0x4c, 0xbd, 0xd9, 0x17, 0x7e, 0xb5, 0x57,
	0x7f, 0x07, 0x6c, 0x02, 0xed, 0xe0, 0x42, 0xfc, 0xce, 0x62, 0x44, 0x36, 0xa3, 0xf5, 0x1e, 0xed,
	0x72, 0x3f, 0xb4, 0xde, 0x5d, 0xf4, 0xa3, 0xda, 0x43, 0x34, 0x51, 0x40, 0xd9, 0xcc, 0x50, 0x97,
	0xef, 0x2d, 0x46, 0x04, 0xa3, 0xf5, 0x2d, 0xca, 0x6c, 0x39, 0xa6, 0xf0, 0x91, 0x11, 0x77, 0x93,
	0x68, 0x6e, 0x3a, 0xb6, 0x0b, 0x33, 0x36, 0x17, 0x0a, 0x26, 0x9c, 0xa3, 0x5c, 0xa1, 0x3f, 0xf7,
	0xfd, 0x8d, 0xae, 0xc9, 0xaa, 0xc3, 0x5f, 0xfa, 0xf5, 0x4d, 0xb7, 0x0c, 0x68, 0x6c, 0xbc, 0xd7,
	0x18, 0xfe, 0xb5, 0xef, 0x45, 0xac, 0xe6, 0x95, 0x82, 0x49, 0xe9, 0xaa, 0xfa, 0x6d, 0x18, 0xae,
	0x64, 0xf8, 0xbd, 0xef, 0x65, 0xf0, 0xdb, 0xc1, 0x96, 0x13, 0xbd, 0x34, 0xfa, 0x1f, 0xfd, 0x70,
	0xc0, 0x55, 0x66, 0xe7, 0x98, 0x52, 0x8c, 0x3f, 0xfb, 0xae, 0xed, 0x0d, 0xb9, 0x70, 0xa4, 0x54,
	0xfc, 0x6e, 0x60, 0xf8, 0xe8, 0x48, 0x3d, 0xe4, 0xbd, 0xf1, 0xe3, 0x99, 0xe6, 0xc7, 0xe1, 0xf4,
	0x72, 0x44, 0x6e, 0x41, 0x3b, 0x63, 0x9a, 0xb8, 0x7b, 0x21, 0x8d, 0x8c, 0x65, 0x62, 0x13, 0x3a,
	0xd3, 0xf8, 0x3f, 0xf8, 0x78, 0x39, 0x22, 0x9b, 0xd0, 0xba, 0xb6, 0x54, 0x2d, 0xce, 0x18, 0x08,
	0x7c, 0x6c, 0xc4, 0x95, 0x1c, 0x7e, 0x49, 0x12, 0x19, 0xd3, 0xc4, 0xe7, 0xf9, 0xeb, 0x47, 0xbf,
	0x6c, 0x00, 0x1c, 0x1f, 0x71, 0x13, 0xb8, 0x9d, 0x48, 0xc9, 0xc2, 0xa7, 0x6c, 0x1a, 0x9f, 0xbc,
	0xb4, 0x83, 0x20, 0xb4, 0xda, 0x63, 0xf8, 0xad, 0x11, 0xb2, 0x11, 0xfd, 0x8f, 0x0b, 0xe3, 0x06,
	0x55, 0x82, 0xaf, 0x79, 0xb1, 0xab, 0x57, 0xab, 0x41, 0x4d, 0x82, 0xb2, 0x3e, 0x0b, 0x3e, 0xf9,
	0xf9, 0x6e, 0xb7, 0x2f, 0xfc, 0xfb, 0x5c, 0x1f, 0x21, 0xeb, 0xd1, 0x1a, 0xff, 0x7c, 0x07, 0xbe,
	0x31, 0xe2, 0x08, 0xd6, 0x02, 0xa5, 0xf0, 0x77, 0xff, 0x25, 0xa3, 0x68, 0x9d, 0x7f, 0xb6, 0x7a,
	0x6f, 0x82, 0xcf, 0x5c, 0xdc, 0x43, 0x30, 0x42, 0x01, 0x88, 0xa5, 0x10, 0xf8, 0xb3, 0x8b, 0x7b,
	0xc8, 0x18, 0xc2, 0x42, 0x1a, 0x05, 0x26, 0x57, 0xc2, 0xc6, 0x09, 0x07, 0x61, 0x70, 0x7f, 0x75,
	0xeb, 0x36, 0xb4, 0x73, 0x76, 0xfe, 0xc0, 0xf8, 0xc1, 0xb9, 0x7d, 0x0f, 0xde, 0x7f, 0xcf, 0xfe,
	0x03, 0xe3, 0x73, 0x07, 0xef, 0xdb, 0x7f, 0x70, 0x6e, 0xbc, 0xfc, 0x0d, 0x6c, 0xad, 0x4d, 0x4d,
	0xe6, 0x1e, 0x3a, 0xab, 0xf6, 0xad, 0xf1, 0xc8, 0x9d, 0x7f, 0x07, 0x00, 0x00, 0xff, 0xff, 0xad,
	0xb7, 0x66, 0x0e, 0x3a, 0x0a, 0x00, 0x00,
}
